@import '~antd/dist/antd.css';

.editable-cell {
  position: relative;
}

.editable-cell-input-wrapper,
.editable-cell-text-wrapper {
  padding-right: 24px;
  cursor: pointer;
}

.editable-cell-text-wrapper {
  padding: 5px 24px 5px 5px;
}
.editable-cell-icon,
.editable-cell-icon-check {
  position: absolute;
  right: 0;
  width: 20px;
  cursor: pointer;
}

.editable-cell-icon {
  line-height: 18px;
  display: none;
}

.editable-cell-icon-check {
  line-height: 28px;
}

.editable-cell:hover .editable-cell-icon {
  display: inline-block;
}

.editable-cell-icon:hover,
.editable-cell-icon-check:hover {
  color: #108ee9;
}

.editable-add-btn {
  margin-bottom: 8px;
}

.login-form {
  position: absolute;
	top:0;
	bottom: 0;
	left: 0;
	right: 0;
  	
	margin: auto;
  max-width: 300px;
}

.signup-form {
  position: absolute;
	top:0;
	bottom: 0;
	left: 0;
	right: 0;
  	
  margin: auto;
  text-align: center;
  max-width: 550px;
}


.login-form-forgot {
  float: right;
}
.login-form-button {
  width: 100%;
}

.logout {
  color: rgba(255, 255, 255, 0.65)
}

.dynamic-delete-button {
  cursor: pointer;
  position: relative;
  top: 4px;
  font-size: 24px;
  color: #999;
  transition: all .3s;
}
.dynamic-delete-button:hover {
  color: #777;
}
.dynamic-delete-button[disabled] {
  cursor: not-allowed;
  opacity: 0.5;
}

.dropbox {
  height: 180px;
  line-height: 1.5;
}

.gutter-box {
  padding: 5px 0;
}

.react-player {
  margin-left: auto;
  margin-right: auto;
}

.editable-row-operations a {
  margin-right: 8px;
}